package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 多经销商关联对象 ass_relcustomerinfo
 * 
 * @author dgtly
 * @date 2021-04-08
 */
public class AssRelcustomerinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    private String mainkunnr;

    private String mainname1;

    private String kunnr;

    private String name1;

    private String glfs;

    private Date glsj;

    private Date enddate;

    private Date etlCreatetime;

    private String userId;

    private String customerType;

    public String getCustomerType() {
        return customerType;
    }

    public void setCustomerType(String customerType) {
        this.customerType = customerType;
    }

    public void setUserId(String userId)
    {
        this.userId = userId;
    }

    public String getUserId()
    {
        return userId;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setMainkunnr(String mainkunnr) 
    {
        this.mainkunnr = mainkunnr;
    }

    public String getMainkunnr() 
    {
        return mainkunnr;
    }
    public void setMainname1(String mainname1) 
    {
        this.mainname1 = mainname1;
    }

    public String getMainname1() 
    {
        return mainname1;
    }
    public void setKunnr(String kunnr) 
    {
        this.kunnr = kunnr;
    }

    public String getKunnr() 
    {
        return kunnr;
    }
    public void setName1(String name1) 
    {
        this.name1 = name1;
    }

    public String getName1() 
    {
        return name1;
    }
    public void setGlfs(String glfs) 
    {
        this.glfs = glfs;
    }

    public String getGlfs() 
    {
        return glfs;
    }
    public void setGlsj(Date glsj) 
    {
        this.glsj = glsj;
    }

    public Date getGlsj() 
    {
        return glsj;
    }
    public void setEnddate(Date enddate) 
    {
        this.enddate = enddate;
    }

    public Date getEnddate() 
    {
        return enddate;
    }
    public void setEtlCreatetime(Date etlCreatetime) 
    {
        this.etlCreatetime = etlCreatetime;
    }

    public Date getEtlCreatetime() 
    {
        return etlCreatetime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("mainkunnr", getMainkunnr())
            .append("mainname1", getMainname1())
            .append("kunnr", getKunnr())
            .append("name1", getName1())
            .append("glfs", getGlfs())
            .append("glsj", getGlsj())
            .append("enddate", getEnddate())
            .append("etlCreatetime", getEtlCreatetime())
            .append("customerType", getCustomerType())
            .toString();
    }
}
